## kolla 1.0.0

=== requirements.txt ===
pbr<2.0,>=1.6
docker-py>=1.1.0  # Apache-2.0
Jinja2>=2.6  # BSD License (3 clause)
gitdb>=0.6.4 # BSD License (3 clause)
GitPython>=1.0.1 # BSD License (3 clause)

=== debian/changelog ===
kolla (1.0.0-1~bpo8+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Thomas Goirand <jenkins@liberty-jessie.pkgs.mirantis.com>  Mon, 09 Nov 2015 09:47:44 +0000

kolla (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #804128)

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Nov 2015 09:10:09 +0100

=== debian/control ===
Source: kolla
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-barbicanclient (>= 3.0.1),
                     python-ceilometerclient (>= 1.0.6),
                     python-cinderclient (>= 1.1.0),
                     python-docker (>= 1.1.0),
                     python-git (>= 1.0.1),
                     python-gitdb (>= 0.6.4),
                     python-glanceclient (>= 0.15.0),
                     python-hacking (>= 0.10.0),
                     python-heatclient (>= 0.3.0),
                     python-jinja2,
                     python-keystoneclient (>= 1.1.0),
                     python-neutronclient (>= 2.3.11),
                     python-novaclient (>= 2.18.0),
                     python-oslo.log (>= 1.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.5.1),
                     python-swiftclient (>= 2.2.0),
                     python-testscenarios,
                     python-testtools,
                     python-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/kolla.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/kolla.git
Homepage: http://github.com/openstack/kolla

Package: python-kolla
Section: python
Architecture: all
Depends: python-docker (>= 1.1.0),
         python-git (>= 1.0.1),
         python-gitdb (>= 0.6.4),
         python-jinja2,
         python-pbr (>= 1.8),
         ${misc:Depends},
         ${python:Depends},
Description: containers and deployment tools for operating OpenStack clouds - Python libs
 Kolla provides production-ready containers and deployment tools for operating
 OpenStack clouds. It provides Docker containers and Ansible playbooks to meet
 its mission. Kolla is highly opinionated out of the box, but allows for
 complete customization. This permits operators with little experience to
 deploy OpenStack quickly and as experience grows modify the OpenStack
 configuration to suit the operator's exact requirements.
 .
 This package provides the Python code.

Package: kolla
Architecture: all
Depends: adduser,
         debconf,
         python-kolla (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: containers and deployment tools for operating OpenStack clouds
 Kolla provides production-ready containers and deployment tools for operating
 OpenStack clouds. It provides Docker containers and Ansible playbooks to meet
 its mission. Kolla is highly opinionated out of the box, but allows for
 complete customization. This permits operators with little experience to
 deploy OpenStack quickly and as experience grows modify the OpenStack
 configuration to suit the operator's exact requirements.
 .
 This package provides most of the Kolla files (ansible, docker, etc.).

Package: kolla-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: containers and deployment tools for operating OpenStack clouds - docs
 Kolla provides production-ready containers and deployment tools for operating
 OpenStack clouds. It provides Docker containers and Ansible playbooks to meet
 its mission. Kolla is highly opinionated out of the box, but allows for
 complete customization. This permits operators with little experience to
 deploy OpenStack quickly and as experience grows modify the OpenStack
 configuration to suit the operator's exact requirements.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root=$(CURDIR)/debian/tmp; \
	done
	dh_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in $(PYTHONS) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	rm -rf build .testrepository

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html doc debian/kolla-doc/usr/share/doc/kolla-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/kolla/tags .*/(\d[\d\.]+)\.tar\.gz

## kolla ansible-19.5.0

=== requirements.txt ===
# Password hashing
bcrypt>=3.0.0 # Apache-2.0

# password generation
cryptography>=2.1 # BSD/Apache-2.0

# Hashicorp Vault
hvac>=0.10.1 # Apache-2.0

# templating
Jinja2>=3 # BSD License (3 clause)

# Ansible and ansible's json_query
ansible-core>=2.16,<2.18 # GPLv3
jmespath>=0.9.3 # MIT

# ini parsing
oslo.config>=5.2.0 # Apache-2.0

# password generation
oslo.utils>=3.33.0 # Apache-2.0

# Password hashing
passlib[bcrypt]>=1.0.0 # BSD

# CLI
cliff>=4.7.0 # Apache-2.0

## kolla ansible-20.0.0.0rc1

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Jinja2>=3 # BSD License (3 clause)
 
 # Ansible and ansible's json_query
-ansible-core>=2.16,<2.18 # GPLv3
+ansible-core>=2.17,<2.19 # GPLv3
 jmespath>=0.9.3 # MIT
 
 # ini parsing

## kolla ansible-21.0.0.0rc2

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Jinja2>=3 # BSD License (3 clause)
 
 # Ansible and ansible's json_query
-ansible-core>=2.17,<2.19 # GPLv3
+ansible-core>=2.18,!=2.19.0,<2.20; python_version >= '3.11' # GPLv3
 jmespath>=0.9.3 # MIT
 
 # ini parsing
